Home | All Classes | Grouped Classes | Index | Search

# Class CL_EventTrigger

ClanLib Event trigger. More...

Derived from: none
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

Construction:

CL_EventTrigger | Constructs an event trigger object.

Attributes:

get_flag | Returns true if the trigger flag has been raised.

Operations:

reset | Reset trigger flag.
set_flag | Raise trigger flag.
wait | Wait until the event triggers.

Implementation:

impl |

Detailed description:

!group=Core/System! !header=core.h!

This class represents an event that can be triggered.

Collect several triggers together using the CL_EventListener class, and then call the CL_EventListener::wait function to sleep until one of the events are triggered.

Questions or comments, write to the ClanLib mailing list.